/// SPDX-License-Identifier: GPL-3.0-or-later
/// SPDX-FileCopyrightText: Copyright © 2023 Tony Garnock-Jones <tonyg@leastfixedpoint.com>

const SyndicateBrowserStdenv = {
  autoboot: true,
  boot() {
    SyndicateHtml2.boot();
    SyndicateWsRelay.boot();
  }
};

window.addEventListener('DOMContentLoaded', () => {
  if (window.SyndicateBrowserStdenv_autoboot === void 0 ||
      window.SyndicateBrowserStdenv_autoboot)
  {
    SyndicateBrowserStdenv.boot();
  }
});
